## org.eclipse.jst.jsf.facesconfig.emf.impl
Class RedirectViewParamTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.RedirectViewParamTypeImpl

All Implemented Interfaces:
  RedirectViewParamType

    public class RedirectViewParamTypeImpl

extends EObjectImpl
implements RedirectViewParamType

An implementation of the model object 'Redirect View Param Type'.

The following features are implemented:

- `Name`
- `Value`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetName(NameType newName, NotificationChain msgs)`
`NotificationChain` `basicSetValue(ValueType newValue, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`NameType` `getName()`
`ValueType` `getValue()`
`void` `setId(java.lang.String newId)`
`void` `setName(NameType newName)`
`void` `setValue(ValueType newValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    public NameType getName()

  Specified by:
    `getName` in interface `RedirectViewParamType`
  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `RedirectViewParamType.setName(NameType)`, `FacesConfigPackage.getRedirectViewParamType_Name()`

### basicSetName

    public NotificationChain basicSetName(NameType newName,
                                          NotificationChain msgs)

  Parameters:
    `newName` -
    `msgs` -
  Returns:
    NotificationChain

### setName

    public void setName(NameType newName)

  Specified by:
    `setName` in interface `RedirectViewParamType`
  Parameters:
    `newName` - the new value of the 'Name' containment reference.
  See Also:
    `RedirectViewParamType.getName()`

### getValue

    public ValueType getValue()

  Specified by:
    `getValue` in interface `RedirectViewParamType`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `RedirectViewParamType.setValue(ValueType)`, `FacesConfigPackage.getRedirectViewParamType_Value()`

### basicSetValue

    public NotificationChain basicSetValue(ValueType newValue,
                                           NotificationChain msgs)

  Parameters:
    `newValue` -
    `msgs` -
  Returns:
    NotificationChain

### setValue

    public void setValue(ValueType newValue)

  Specified by:
    `setValue` in interface `RedirectViewParamType`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `RedirectViewParamType.getValue()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `RedirectViewParamType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `RedirectViewParamType.setId(String)`, `FacesConfigPackage.getRedirectViewParamType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `RedirectViewParamType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `RedirectViewParamType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()